> ## Documentation Index
> Fetch the complete documentation index at: https://docs.revenuebase.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Company Enrich

> One company row per domain / company LinkedIn URL.



## OpenAPI

````yaml /api-reference/v2/contact-openapi.json post /company/enrich
openapi: 3.1.0
info:
  title: RevenueBase Velocity API
  version: 0.1.0
servers:
  - url: https://api.revenuebase.ai/v2/contact
    description: Production
security: []
paths:
  /company/enrich:
    post:
      summary: Company Enrich
      description: One company row per domain / company LinkedIn URL.
      operationId: company_enrich_v1_company_enrich_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CompanyEnrichRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                additionalProperties: true
                type: object
                title: Response Company Enrich V1 Company Enrich Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    CompanyEnrichRequest:
      properties:
        domains:
          items:
            type: string
          type: array
          title: Domains
        linkedinUrls:
          items:
            type: string
          type: array
          title: Linkedinurls
        columns:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Columns
      type: object
      title: CompanyEnrichRequest
      description: 'Company enrich keys: domains and/or company LinkedIn URLs.'
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-Key

````